<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.hyades.test.http"
   name="%plugin.Name"
   version="3.0.1"
   provider-name="Eclipse.org"
   class="org.eclipse.hyades.test.http.TestHttpPlugin">

   <runtime>
      <library name="http.runner.jar">
         <export name="*"/>
         <packages prefixes="org.eclipse.hyades.test.http.runner"/>
      </library>
      <library name="http.jar">
         <export name="*"/>
         <packages prefixes="org.eclipse.hyades.test.http"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.jdt.core"/>
      <import plugin="org.eclipse.hyades.test.ui"/>
      <import plugin="org.eclipse.hyades.test.common"/>
      <import plugin="org.eclipse.hyades.test.java"/>
      <import plugin="org.junit"/>
      <import plugin="org.eclipse.hyades.ui"/>
      <import plugin="org.eclipse.hyades.ui.sample"/>
      <import plugin="org.eclipse.emf.common"/>
      <import plugin="org.eclipse.emf.ecore"/>
      <import plugin="org.eclipse.emf.ecore.xmi"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.debug.core"/>
      <import plugin="org.eclipse.debug.ui"/>
      <import plugin="org.eclipse.hyades.logging.core"/>
      <import plugin="org.eclipse.hyades.logging.java14"/>
      <import plugin="org.eclipse.hyades.execution.core"/>
      <import plugin="org.eclipse.hyades.execution.harness"/>
   </requires>


   <extension
         point="org.eclipse.hyades.ui.typeDescriptions">
      <typeDescription
            name="%HTTP_TST_SUITE_NAME"
            type="org.eclipse.hyades.test.http.junit.testSuite"
            icon="icons/full/obj16/hsuite.gif"
            description="%HTTP_TST_SUITE_DSC"
            extension="testsuite">
      </typeDescription>
      <typeDescription
            name="%W_HTTP_REQUEST"
            type="org.eclipse.hyades.test.http.junit.testCase"
            icon="icons/full/obj16/request.gif"
            description=""
            extension="testcase">
      </typeDescription>
   </extension>
   <extension
         point="org.eclipse.hyades.ui.typeValidators">
      <typeValidator
            type="org.eclipse.hyades.test.http.junit.testSuite"
            class="org.eclipse.hyades.test.http.junit.TypeValidator"
            id="org.eclipse.hyades.test.http.junit.testsuite.typeValidator"
            extension="testsuite">
      </typeValidator>
   </extension>
   <extension
         point="org.eclipse.hyades.test.ui.newTestCaseWizards">
      <wizard
            name="%TST_CASE_HTTP_NAME"
            type="org.eclipse.hyades.test.http.junit.testCase"
            icon="icons/full/obj16/request.gif"
            description="%WIZ_NEW_TST_CASE_DSC"
            class="org.eclipse.hyades.test.http.internal.junit.wizard.HttpTestCaseNewWizard"
            id="org.eclipse.hyades.test.http.internal.junit.wizard.HttpTestCaseNewWizard">
      </wizard>
   </extension>
   <extension
         point="org.eclipse.ui.newWizards">
      <wizard
            name="%WIZ_TST_HTTP_SUITE_TTL"
            icon="icons/full/obj16/hsuite.gif"
            category="org.eclipse.hyades.test.ui.wizards.new/testSuite"
            class="org.eclipse.hyades.test.http.internal.junit.wizard.HttpTestSuiteNewWizard"
            id="org.eclipse.hyades.test.http.internal.junit.wizard.HttpTestSuiteNewWizard">
         <description>
            %WIZ_NEW_HTTP_TST_SUITE_DSC
         </description>
      </wizard>
   </extension>
   <extension
         point="org.eclipse.hyades.ui.editorExtensions">
      <editorExtension
            name="%HEDT_TST_SUITE_TTL"
            description="%HEDT_TST_SUITE_DSC"
            class="org.eclipse.hyades.test.http.internal.junit.editor.HttpEditorExtension"
            id="org.eclipse.hyades.test.http.internal.junit.editor.HttpEditorExtension"
            extension="testsuite">
         <appliesTo
               type="org.eclipse.hyades.test.http.junit.testSuite">
         </appliesTo>
      </editorExtension>
   </extension>
   <extension
         point="org.eclipse.ui.preferencePages">
      <page
            name="%preference.Title"
            category="org.eclipse.hyades.test.ui.internal.preference.TestPreferencePage"
            class="org.eclipse.hyades.test.http.internal.preferences.HttpPreferencePage"
            id="org.eclipse.hyades.test.http.internal.preferences.HttpPreferencePage">
      </page>
   </extension>
   <extension
         point="org.eclipse.ui.importWizards">
      <wizard
            name="%importHTTPRec"
            icon="icons/full/obj16/hsuite.gif"
            class="org.eclipse.hyades.test.http.internal.importWizard.HttpImportWizard"
            id="org.eclipse.hyades.test.http.internal.importWizard.HttpImportWizard">
         <description>
            %importHTTPRecDesc
         </description>
      </wizard>
   </extension>
   <extension
         point="org.eclipse.hyades.test.ui.generateWizards">
      <generateWizard
            name="%GEN_WTITLE"
            type="org.eclipse.hyades.test.http.junit.testSuite"
            icon="icons/full/ctool16/generate_wiz.gif"
            description="%GEN_WDESC"
            class="org.eclipse.hyades.test.http.internal.junit.wizard.HttpGenerateWizard"
            extension="testsuite">
      </generateWizard>
   </extension>
   <extension
         point="org.eclipse.hyades.test.ui.runWizards">
      <runWizard
            name="%RUN_WTITLE"
            type="org.eclipse.hyades.test.http.junit.testSuite"
            icon="icons/full/ctool16/run_wiz.gif"
            description="%RUN_WDESC"
            class="org.eclipse.hyades.test.http.internal.junit.wizard.HttpRunJavaWizard"
            extension="testsuite">
      </runWizard>
   </extension>
   <extension
         id="org.eclispe.hyades.test.http.report"
         name="org.eclipse.hyades.test.http.report"
         point="org.eclipse.hyades.ui.reportExtensions">
      <reportDescription
            name="%RESP_TIME_TITLE"
            isDefault="true"
            class="org.eclipse.hyades.test.http.internal.reports.responsetime.ResponseTimeReportGenerator">
      </reportDescription>
      <reportDescription
            name="%HIT_RATE_TITLE"
            class="org.eclipse.hyades.test.http.internal.reports.hitrate.HitRateReportGenerator">
      </reportDescription>
   </extension>
   <extension
         point="org.eclipse.hyades.test.ui.runHandler">
      <runHandler
            class="org.eclipse.hyades.test.http.internal.launch.HttpRunHandler">
         <supportedType
               type="org.eclipse.hyades.test.http.junit.testSuite"
               kind="test">
         </supportedType>
      </runHandler>
   </extension>
   <extension
         point="org.eclipse.hyades.test.ui.launchableType">
      <launchableType
            launchConfigurationType="org.eclipse.hyades.test.http.launch.urlTest"
            type="org.eclipse.hyades.test.http.junit.testSuite"
            kind="test">
         <supportedMode
               shortcutAvailable="true"
               mode="run">
         </supportedMode>
      </launchableType>
   </extension>
<!--
   <extension
         point="org.eclipse.hyades.test.ui.deploymentProvider">
      <deploymentProvider
            class="org.eclipse.hyades.test.http.internal.launch.HttpDeploymentsProvider">
         <supportedType
               type="org.eclipse.hyades.test.http.junit.testSuite"
               kind="test">
         </supportedType>
      </deploymentProvider>
   </extension>
-->
   <extension
         point="org.eclipse.debug.core.launchConfigurationTypes">
      <launchConfigurationType
            name="%LCFG_URL_LAUNCH_CONFIGURATION_TYPE_NAME"
            delegate="org.eclipse.hyades.test.http.internal.launch.HttpLaunchConfigurationDelegate"
            modes="run,debug,profile"
            public="true"
            id="org.eclipse.hyades.test.http.launch.urlTest">
         <fileExtension
               default="true"
               extension="testsuite">
         </fileExtension>
      </launchConfigurationType>
   </extension>
   <extension
         point="org.eclipse.debug.ui.launchConfigurationTabGroups">
      <launchConfigurationTabGroup
            type="org.eclipse.hyades.test.http.launch.urlTest"
            class="org.eclipse.hyades.test.http.internal.launch.HttpTestTabGroup"
            id="urlTestLaunchConfigTabGroup">
         <launchMode
               perspective="org.eclipse.hyades.ui.perspective.TestPerspective"
               mode="run">
         </launchMode>
         <launchMode
               perspective="org.eclipse.hyades.ui.perspective.TestPerspective"
               mode="debug">
         </launchMode>
         <launchMode
               perspective="org.eclipse.hyades.trace.internal.ui.tracePerspective"
               mode="profile">
         </launchMode>
      </launchConfigurationTabGroup>
   </extension>
   <extension
         point="org.eclipse.debug.ui.launchConfigurationTypeImages">
      <launchConfigurationTypeImage
            icon="icons/full/obj16/hsuite.gif"
            configTypeID="org.eclipse.hyades.test.http.launch.urlTest"
            id="org.eclipse.hyades.test.http.httpLaunchImage">
      </launchConfigurationTypeImage>
   </extension>

</plugin>
